Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network154.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
154.0.0.0
Broadcast address
155.255.255.255
First usable
154.0.0.1
Last usable
155.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex 9A000000 · Integer 2583691264 to 2617245695
Reverse DNS zones
154.in-addr.arpa
155.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011010.00000000.00000000.00000000154.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10011010.00000000.00000000.00000000154.0.0.0
Broadcast10011011.11111111.11111111.11111111155.255.255.255
Split into smaller subnets/15

154.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1154.0.0.0/15154.0.0.1 to 154.1.255.254154.1.255.255131,070
2154.2.0.0/15154.2.0.1 to 154.3.255.254154.3.255.255131,070
3154.4.0.0/15154.4.0.1 to 154.5.255.254154.5.255.255131,070
4154.6.0.0/15154.6.0.1 to 154.7.255.254154.7.255.255131,070
5154.8.0.0/15154.8.0.1 to 154.9.255.254154.9.255.255131,070
6154.10.0.0/15154.10.0.1 to 154.11.255.254154.11.255.255131,070
7154.12.0.0/15154.12.0.1 to 154.13.255.254154.13.255.255131,070
8154.14.0.0/15154.14.0.1 to 154.15.255.254154.15.255.255131,070
9154.16.0.0/15154.16.0.1 to 154.17.255.254154.17.255.255131,070
10154.18.0.0/15154.18.0.1 to 154.19.255.254154.19.255.255131,070
11154.20.0.0/15154.20.0.1 to 154.21.255.254154.21.255.255131,070
12154.22.0.0/15154.22.0.1 to 154.23.255.254154.23.255.255131,070
13154.24.0.0/15154.24.0.1 to 154.25.255.254154.25.255.255131,070
14154.26.0.0/15154.26.0.1 to 154.27.255.254154.27.255.255131,070
15154.28.0.0/15154.28.0.1 to 154.29.255.254154.29.255.255131,070
16154.30.0.0/15154.30.0.1 to 154.31.255.254154.31.255.255131,070
17154.32.0.0/15154.32.0.1 to 154.33.255.254154.33.255.255131,070
18154.34.0.0/15154.34.0.1 to 154.35.255.254154.35.255.255131,070
19154.36.0.0/15154.36.0.1 to 154.37.255.254154.37.255.255131,070
20154.38.0.0/15154.38.0.1 to 154.39.255.254154.39.255.255131,070
21154.40.0.0/15154.40.0.1 to 154.41.255.254154.41.255.255131,070
22154.42.0.0/15154.42.0.1 to 154.43.255.254154.43.255.255131,070
23154.44.0.0/15154.44.0.1 to 154.45.255.254154.45.255.255131,070
24154.46.0.0/15154.46.0.1 to 154.47.255.254154.47.255.255131,070
25154.48.0.0/15154.48.0.1 to 154.49.255.254154.49.255.255131,070
26154.50.0.0/15154.50.0.1 to 154.51.255.254154.51.255.255131,070
27154.52.0.0/15154.52.0.1 to 154.53.255.254154.53.255.255131,070
28154.54.0.0/15154.54.0.1 to 154.55.255.254154.55.255.255131,070
29154.56.0.0/15154.56.0.1 to 154.57.255.254154.57.255.255131,070
30154.58.0.0/15154.58.0.1 to 154.59.255.254154.59.255.255131,070
31154.60.0.0/15154.60.0.1 to 154.61.255.254154.61.255.255131,070
32154.62.0.0/15154.62.0.1 to 154.63.255.254154.63.255.255131,070
33154.64.0.0/15154.64.0.1 to 154.65.255.254154.65.255.255131,070
34154.66.0.0/15154.66.0.1 to 154.67.255.254154.67.255.255131,070
35154.68.0.0/15154.68.0.1 to 154.69.255.254154.69.255.255131,070
36154.70.0.0/15154.70.0.1 to 154.71.255.254154.71.255.255131,070
37154.72.0.0/15154.72.0.1 to 154.73.255.254154.73.255.255131,070
38154.74.0.0/15154.74.0.1 to 154.75.255.254154.75.255.255131,070
39154.76.0.0/15154.76.0.1 to 154.77.255.254154.77.255.255131,070
40154.78.0.0/15154.78.0.1 to 154.79.255.254154.79.255.255131,070
41154.80.0.0/15154.80.0.1 to 154.81.255.254154.81.255.255131,070
42154.82.0.0/15154.82.0.1 to 154.83.255.254154.83.255.255131,070
43154.84.0.0/15154.84.0.1 to 154.85.255.254154.85.255.255131,070
44154.86.0.0/15154.86.0.1 to 154.87.255.254154.87.255.255131,070
45154.88.0.0/15154.88.0.1 to 154.89.255.254154.89.255.255131,070
46154.90.0.0/15154.90.0.1 to 154.91.255.254154.91.255.255131,070
47154.92.0.0/15154.92.0.1 to 154.93.255.254154.93.255.255131,070
48154.94.0.0/15154.94.0.1 to 154.95.255.254154.95.255.255131,070
49154.96.0.0/15154.96.0.1 to 154.97.255.254154.97.255.255131,070
50154.98.0.0/15154.98.0.1 to 154.99.255.254154.99.255.255131,070
51154.100.0.0/15154.100.0.1 to 154.101.255.254154.101.255.255131,070
52154.102.0.0/15154.102.0.1 to 154.103.255.254154.103.255.255131,070
53154.104.0.0/15154.104.0.1 to 154.105.255.254154.105.255.255131,070
54154.106.0.0/15154.106.0.1 to 154.107.255.254154.107.255.255131,070
55154.108.0.0/15154.108.0.1 to 154.109.255.254154.109.255.255131,070
56154.110.0.0/15154.110.0.1 to 154.111.255.254154.111.255.255131,070
57154.112.0.0/15154.112.0.1 to 154.113.255.254154.113.255.255131,070
58154.114.0.0/15154.114.0.1 to 154.115.255.254154.115.255.255131,070
59154.116.0.0/15154.116.0.1 to 154.117.255.254154.117.255.255131,070
60154.118.0.0/15154.118.0.1 to 154.119.255.254154.119.255.255131,070
61154.120.0.0/15154.120.0.1 to 154.121.255.254154.121.255.255131,070
62154.122.0.0/15154.122.0.1 to 154.123.255.254154.123.255.255131,070
63154.124.0.0/15154.124.0.1 to 154.125.255.254154.125.255.255131,070
64154.126.0.0/15154.126.0.1 to 154.127.255.254154.127.255.255131,070
65154.128.0.0/15154.128.0.1 to 154.129.255.254154.129.255.255131,070
66154.130.0.0/15154.130.0.1 to 154.131.255.254154.131.255.255131,070
67154.132.0.0/15154.132.0.1 to 154.133.255.254154.133.255.255131,070
68154.134.0.0/15154.134.0.1 to 154.135.255.254154.135.255.255131,070
69154.136.0.0/15154.136.0.1 to 154.137.255.254154.137.255.255131,070
70154.138.0.0/15154.138.0.1 to 154.139.255.254154.139.255.255131,070
71154.140.0.0/15154.140.0.1 to 154.141.255.254154.141.255.255131,070
72154.142.0.0/15154.142.0.1 to 154.143.255.254154.143.255.255131,070
73154.144.0.0/15154.144.0.1 to 154.145.255.254154.145.255.255131,070
74154.146.0.0/15154.146.0.1 to 154.147.255.254154.147.255.255131,070
75154.148.0.0/15154.148.0.1 to 154.149.255.254154.149.255.255131,070
76154.150.0.0/15154.150.0.1 to 154.151.255.254154.151.255.255131,070
77154.152.0.0/15154.152.0.1 to 154.153.255.254154.153.255.255131,070
78154.154.0.0/15154.154.0.1 to 154.155.255.254154.155.255.255131,070
79154.156.0.0/15154.156.0.1 to 154.157.255.254154.157.255.255131,070
80154.158.0.0/15154.158.0.1 to 154.159.255.254154.159.255.255131,070
81154.160.0.0/15154.160.0.1 to 154.161.255.254154.161.255.255131,070
82154.162.0.0/15154.162.0.1 to 154.163.255.254154.163.255.255131,070
83154.164.0.0/15154.164.0.1 to 154.165.255.254154.165.255.255131,070
84154.166.0.0/15154.166.0.1 to 154.167.255.254154.167.255.255131,070
85154.168.0.0/15154.168.0.1 to 154.169.255.254154.169.255.255131,070
86154.170.0.0/15154.170.0.1 to 154.171.255.254154.171.255.255131,070
87154.172.0.0/15154.172.0.1 to 154.173.255.254154.173.255.255131,070
88154.174.0.0/15154.174.0.1 to 154.175.255.254154.175.255.255131,070
89154.176.0.0/15154.176.0.1 to 154.177.255.254154.177.255.255131,070
90154.178.0.0/15154.178.0.1 to 154.179.255.254154.179.255.255131,070
91154.180.0.0/15154.180.0.1 to 154.181.255.254154.181.255.255131,070
92154.182.0.0/15154.182.0.1 to 154.183.255.254154.183.255.255131,070
93154.184.0.0/15154.184.0.1 to 154.185.255.254154.185.255.255131,070
94154.186.0.0/15154.186.0.1 to 154.187.255.254154.187.255.255131,070
95154.188.0.0/15154.188.0.1 to 154.189.255.254154.189.255.255131,070
96154.190.0.0/15154.190.0.1 to 154.191.255.254154.191.255.255131,070
97154.192.0.0/15154.192.0.1 to 154.193.255.254154.193.255.255131,070
98154.194.0.0/15154.194.0.1 to 154.195.255.254154.195.255.255131,070
99154.196.0.0/15154.196.0.1 to 154.197.255.254154.197.255.255131,070
100154.198.0.0/15154.198.0.1 to 154.199.255.254154.199.255.255131,070
101154.200.0.0/15154.200.0.1 to 154.201.255.254154.201.255.255131,070
102154.202.0.0/15154.202.0.1 to 154.203.255.254154.203.255.255131,070
103154.204.0.0/15154.204.0.1 to 154.205.255.254154.205.255.255131,070
104154.206.0.0/15154.206.0.1 to 154.207.255.254154.207.255.255131,070
105154.208.0.0/15154.208.0.1 to 154.209.255.254154.209.255.255131,070
106154.210.0.0/15154.210.0.1 to 154.211.255.254154.211.255.255131,070
107154.212.0.0/15154.212.0.1 to 154.213.255.254154.213.255.255131,070
108154.214.0.0/15154.214.0.1 to 154.215.255.254154.215.255.255131,070
109154.216.0.0/15154.216.0.1 to 154.217.255.254154.217.255.255131,070
110154.218.0.0/15154.218.0.1 to 154.219.255.254154.219.255.255131,070
111154.220.0.0/15154.220.0.1 to 154.221.255.254154.221.255.255131,070
112154.222.0.0/15154.222.0.1 to 154.223.255.254154.223.255.255131,070
113154.224.0.0/15154.224.0.1 to 154.225.255.254154.225.255.255131,070
114154.226.0.0/15154.226.0.1 to 154.227.255.254154.227.255.255131,070
115154.228.0.0/15154.228.0.1 to 154.229.255.254154.229.255.255131,070
116154.230.0.0/15154.230.0.1 to 154.231.255.254154.231.255.255131,070
117154.232.0.0/15154.232.0.1 to 154.233.255.254154.233.255.255131,070
118154.234.0.0/15154.234.0.1 to 154.235.255.254154.235.255.255131,070
119154.236.0.0/15154.236.0.1 to 154.237.255.254154.237.255.255131,070
120154.238.0.0/15154.238.0.1 to 154.239.255.254154.239.255.255131,070
121154.240.0.0/15154.240.0.1 to 154.241.255.254154.241.255.255131,070
122154.242.0.0/15154.242.0.1 to 154.243.255.254154.243.255.255131,070
123154.244.0.0/15154.244.0.1 to 154.245.255.254154.245.255.255131,070
124154.246.0.0/15154.246.0.1 to 154.247.255.254154.247.255.255131,070
125154.248.0.0/15154.248.0.1 to 154.249.255.254154.249.255.255131,070
126154.250.0.0/15154.250.0.1 to 154.251.255.254154.251.255.255131,070
127154.252.0.0/15154.252.0.1 to 154.253.255.254154.253.255.255131,070
128154.254.0.0/15154.254.0.1 to 154.255.255.254154.255.255.255131,070
129155.0.0.0/15155.0.0.1 to 155.1.255.254155.1.255.255131,070
130155.2.0.0/15155.2.0.1 to 155.3.255.254155.3.255.255131,070
131155.4.0.0/15155.4.0.1 to 155.5.255.254155.5.255.255131,070
132155.6.0.0/15155.6.0.1 to 155.7.255.254155.7.255.255131,070
133155.8.0.0/15155.8.0.1 to 155.9.255.254155.9.255.255131,070
134155.10.0.0/15155.10.0.1 to 155.11.255.254155.11.255.255131,070
135155.12.0.0/15155.12.0.1 to 155.13.255.254155.13.255.255131,070
136155.14.0.0/15155.14.0.1 to 155.15.255.254155.15.255.255131,070
137155.16.0.0/15155.16.0.1 to 155.17.255.254155.17.255.255131,070
138155.18.0.0/15155.18.0.1 to 155.19.255.254155.19.255.255131,070
139155.20.0.0/15155.20.0.1 to 155.21.255.254155.21.255.255131,070
140155.22.0.0/15155.22.0.1 to 155.23.255.254155.23.255.255131,070
141155.24.0.0/15155.24.0.1 to 155.25.255.254155.25.255.255131,070
142155.26.0.0/15155.26.0.1 to 155.27.255.254155.27.255.255131,070
143155.28.0.0/15155.28.0.1 to 155.29.255.254155.29.255.255131,070
144155.30.0.0/15155.30.0.1 to 155.31.255.254155.31.255.255131,070
145155.32.0.0/15155.32.0.1 to 155.33.255.254155.33.255.255131,070
146155.34.0.0/15155.34.0.1 to 155.35.255.254155.35.255.255131,070
147155.36.0.0/15155.36.0.1 to 155.37.255.254155.37.255.255131,070
148155.38.0.0/15155.38.0.1 to 155.39.255.254155.39.255.255131,070
149155.40.0.0/15155.40.0.1 to 155.41.255.254155.41.255.255131,070
150155.42.0.0/15155.42.0.1 to 155.43.255.254155.43.255.255131,070
151155.44.0.0/15155.44.0.1 to 155.45.255.254155.45.255.255131,070
152155.46.0.0/15155.46.0.1 to 155.47.255.254155.47.255.255131,070
153155.48.0.0/15155.48.0.1 to 155.49.255.254155.49.255.255131,070
154155.50.0.0/15155.50.0.1 to 155.51.255.254155.51.255.255131,070
155155.52.0.0/15155.52.0.1 to 155.53.255.254155.53.255.255131,070
156155.54.0.0/15155.54.0.1 to 155.55.255.254155.55.255.255131,070
157155.56.0.0/15155.56.0.1 to 155.57.255.254155.57.255.255131,070
158155.58.0.0/15155.58.0.1 to 155.59.255.254155.59.255.255131,070
159155.60.0.0/15155.60.0.1 to 155.61.255.254155.61.255.255131,070
160155.62.0.0/15155.62.0.1 to 155.63.255.254155.63.255.255131,070
161155.64.0.0/15155.64.0.1 to 155.65.255.254155.65.255.255131,070
162155.66.0.0/15155.66.0.1 to 155.67.255.254155.67.255.255131,070
163155.68.0.0/15155.68.0.1 to 155.69.255.254155.69.255.255131,070
164155.70.0.0/15155.70.0.1 to 155.71.255.254155.71.255.255131,070
165155.72.0.0/15155.72.0.1 to 155.73.255.254155.73.255.255131,070
166155.74.0.0/15155.74.0.1 to 155.75.255.254155.75.255.255131,070
167155.76.0.0/15155.76.0.1 to 155.77.255.254155.77.255.255131,070
168155.78.0.0/15155.78.0.1 to 155.79.255.254155.79.255.255131,070
169155.80.0.0/15155.80.0.1 to 155.81.255.254155.81.255.255131,070
170155.82.0.0/15155.82.0.1 to 155.83.255.254155.83.255.255131,070
171155.84.0.0/15155.84.0.1 to 155.85.255.254155.85.255.255131,070
172155.86.0.0/15155.86.0.1 to 155.87.255.254155.87.255.255131,070
173155.88.0.0/15155.88.0.1 to 155.89.255.254155.89.255.255131,070
174155.90.0.0/15155.90.0.1 to 155.91.255.254155.91.255.255131,070
175155.92.0.0/15155.92.0.1 to 155.93.255.254155.93.255.255131,070
176155.94.0.0/15155.94.0.1 to 155.95.255.254155.95.255.255131,070
177155.96.0.0/15155.96.0.1 to 155.97.255.254155.97.255.255131,070
178155.98.0.0/15155.98.0.1 to 155.99.255.254155.99.255.255131,070
179155.100.0.0/15155.100.0.1 to 155.101.255.254155.101.255.255131,070
180155.102.0.0/15155.102.0.1 to 155.103.255.254155.103.255.255131,070
181155.104.0.0/15155.104.0.1 to 155.105.255.254155.105.255.255131,070
182155.106.0.0/15155.106.0.1 to 155.107.255.254155.107.255.255131,070
183155.108.0.0/15155.108.0.1 to 155.109.255.254155.109.255.255131,070
184155.110.0.0/15155.110.0.1 to 155.111.255.254155.111.255.255131,070
185155.112.0.0/15155.112.0.1 to 155.113.255.254155.113.255.255131,070
186155.114.0.0/15155.114.0.1 to 155.115.255.254155.115.255.255131,070
187155.116.0.0/15155.116.0.1 to 155.117.255.254155.117.255.255131,070
188155.118.0.0/15155.118.0.1 to 155.119.255.254155.119.255.255131,070
189155.120.0.0/15155.120.0.1 to 155.121.255.254155.121.255.255131,070
190155.122.0.0/15155.122.0.1 to 155.123.255.254155.123.255.255131,070
191155.124.0.0/15155.124.0.1 to 155.125.255.254155.125.255.255131,070
192155.126.0.0/15155.126.0.1 to 155.127.255.254155.127.255.255131,070
193155.128.0.0/15155.128.0.1 to 155.129.255.254155.129.255.255131,070
194155.130.0.0/15155.130.0.1 to 155.131.255.254155.131.255.255131,070
195155.132.0.0/15155.132.0.1 to 155.133.255.254155.133.255.255131,070
196155.134.0.0/15155.134.0.1 to 155.135.255.254155.135.255.255131,070
197155.136.0.0/15155.136.0.1 to 155.137.255.254155.137.255.255131,070
198155.138.0.0/15155.138.0.1 to 155.139.255.254155.139.255.255131,070
199155.140.0.0/15155.140.0.1 to 155.141.255.254155.141.255.255131,070
200155.142.0.0/15155.142.0.1 to 155.143.255.254155.143.255.255131,070
201155.144.0.0/15155.144.0.1 to 155.145.255.254155.145.255.255131,070
202155.146.0.0/15155.146.0.1 to 155.147.255.254155.147.255.255131,070
203155.148.0.0/15155.148.0.1 to 155.149.255.254155.149.255.255131,070
204155.150.0.0/15155.150.0.1 to 155.151.255.254155.151.255.255131,070
205155.152.0.0/15155.152.0.1 to 155.153.255.254155.153.255.255131,070
206155.154.0.0/15155.154.0.1 to 155.155.255.254155.155.255.255131,070
207155.156.0.0/15155.156.0.1 to 155.157.255.254155.157.255.255131,070
208155.158.0.0/15155.158.0.1 to 155.159.255.254155.159.255.255131,070
209155.160.0.0/15155.160.0.1 to 155.161.255.254155.161.255.255131,070
210155.162.0.0/15155.162.0.1 to 155.163.255.254155.163.255.255131,070
211155.164.0.0/15155.164.0.1 to 155.165.255.254155.165.255.255131,070
212155.166.0.0/15155.166.0.1 to 155.167.255.254155.167.255.255131,070
213155.168.0.0/15155.168.0.1 to 155.169.255.254155.169.255.255131,070
214155.170.0.0/15155.170.0.1 to 155.171.255.254155.171.255.255131,070
215155.172.0.0/15155.172.0.1 to 155.173.255.254155.173.255.255131,070
216155.174.0.0/15155.174.0.1 to 155.175.255.254155.175.255.255131,070
217155.176.0.0/15155.176.0.1 to 155.177.255.254155.177.255.255131,070
218155.178.0.0/15155.178.0.1 to 155.179.255.254155.179.255.255131,070
219155.180.0.0/15155.180.0.1 to 155.181.255.254155.181.255.255131,070
220155.182.0.0/15155.182.0.1 to 155.183.255.254155.183.255.255131,070
221155.184.0.0/15155.184.0.1 to 155.185.255.254155.185.255.255131,070
222155.186.0.0/15155.186.0.1 to 155.187.255.254155.187.255.255131,070
223155.188.0.0/15155.188.0.1 to 155.189.255.254155.189.255.255131,070
224155.190.0.0/15155.190.0.1 to 155.191.255.254155.191.255.255131,070
225155.192.0.0/15155.192.0.1 to 155.193.255.254155.193.255.255131,070
226155.194.0.0/15155.194.0.1 to 155.195.255.254155.195.255.255131,070
227155.196.0.0/15155.196.0.1 to 155.197.255.254155.197.255.255131,070
228155.198.0.0/15155.198.0.1 to 155.199.255.254155.199.255.255131,070
229155.200.0.0/15155.200.0.1 to 155.201.255.254155.201.255.255131,070
230155.202.0.0/15155.202.0.1 to 155.203.255.254155.203.255.255131,070
231155.204.0.0/15155.204.0.1 to 155.205.255.254155.205.255.255131,070
232155.206.0.0/15155.206.0.1 to 155.207.255.254155.207.255.255131,070
233155.208.0.0/15155.208.0.1 to 155.209.255.254155.209.255.255131,070
234155.210.0.0/15155.210.0.1 to 155.211.255.254155.211.255.255131,070
235155.212.0.0/15155.212.0.1 to 155.213.255.254155.213.255.255131,070
236155.214.0.0/15155.214.0.1 to 155.215.255.254155.215.255.255131,070
237155.216.0.0/15155.216.0.1 to 155.217.255.254155.217.255.255131,070
238155.218.0.0/15155.218.0.1 to 155.219.255.254155.219.255.255131,070
239155.220.0.0/15155.220.0.1 to 155.221.255.254155.221.255.255131,070
240155.222.0.0/15155.222.0.1 to 155.223.255.254155.223.255.255131,070
241155.224.0.0/15155.224.0.1 to 155.225.255.254155.225.255.255131,070
242155.226.0.0/15155.226.0.1 to 155.227.255.254155.227.255.255131,070
243155.228.0.0/15155.228.0.1 to 155.229.255.254155.229.255.255131,070
244155.230.0.0/15155.230.0.1 to 155.231.255.254155.231.255.255131,070
245155.232.0.0/15155.232.0.1 to 155.233.255.254155.233.255.255131,070
246155.234.0.0/15155.234.0.1 to 155.235.255.254155.235.255.255131,070
247155.236.0.0/15155.236.0.1 to 155.237.255.254155.237.255.255131,070
248155.238.0.0/15155.238.0.1 to 155.239.255.254155.239.255.255131,070
249155.240.0.0/15155.240.0.1 to 155.241.255.254155.241.255.255131,070
250155.242.0.0/15155.242.0.1 to 155.243.255.254155.243.255.255131,070
251155.244.0.0/15155.244.0.1 to 155.245.255.254155.245.255.255131,070
252155.246.0.0/15155.246.0.1 to 155.247.255.254155.247.255.255131,070
253155.248.0.0/15155.248.0.1 to 155.249.255.254155.249.255.255131,070
254155.250.0.0/15155.250.0.1 to 155.251.255.254155.251.255.255131,070
255155.252.0.0/15155.252.0.1 to 155.253.255.254155.253.255.255131,070
256155.254.0.0/15155.254.0.1 to 155.255.255.254155.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses